<div class="quiz-container">
    <p>
        {{ a }} + {{ b }} =
        <input type="text" [(ngModel)]="answer">
        <button [disabled]="!may_check()" (click)="check_answer()">Check</button>
        <button (click)="new_problem()">New Problem</button>
    </p>
</div>

<div class="stats-container">
    <table>
        <tr>
            <th>Statistics</th>
            <th><span>Right</span></th>
            <th><span>Wrong</span></th>
        </tr>
        <tr>
            <td></td>
            <td><span>{{ count_right }}</span></td>
            <td><span>{{ count_wrong }}</span></td>
        </tr>
    </table>
</div>






<!-- 
<div class="play-container">
    <p>You've clicked <span (click)="countClick()">this</span> {{ clickCounter }} times.</p>
</div>

<div class="play-container">
    <p>
        <input type="text" [(ngModel)]="name"><br>
        <strong>You said: </strong> {{name}}
    </p>
</div> -->



<!-- OPTION 1 -->
<!-- <div class="play-container" [style.background-color]="clickCounter > 4 ? 'yellow' : 'lightgray'"> -->
<!-- OPTION 2 -->
<!-- <div class="play-container" [ngStyle]="{
    'background-color': clickCounter > 4 ? 'yellow' : 'lightgray',
    'border':           clickCounter > 4 ? '4px solid black' : 'none'}
">
    <ng-template [ngIf]="clickCounter > 4" [ngIfElse]="none">
        <p>The click counter <strong>IS GREATER</strong> than 4.</p>
    </ng-template>
    <ng-template #none>
        <p>The click counter is <strong>not greater</strong> than 4.</p>
    </ng-template>
</div> -->



<!-- OPTION 3 -->
<!-- <div class="play-container" [ngStyle]="getSyleClickCounter()">
    <ng-template [ngIf]="checkClickCounter()" [ngIfElse]="none">
        <p>The click counter <strong>HAS CONDITION.</strong></p>
    </ng-template>

    <ng-template #none>
        <p>The click counter does <strong>not hav condition.</strong></p>
    </ng-template>
</div> -->



<!-- OPTION 4 -->
<!-- <div class="play-container" [ngClass]="setClasses()">
    <ng-template [ngIf]="checkClickCounter()" [ngIfElse]="none">
        <p>The click counter <strong>HAS CONDITION.</strong></p>
    </ng-template>

    <ng-template #none>
        <p>The click counter does <strong>not hav condition.</strong></p>
    </ng-template>
</div> -->